data {
    int N_data;
    int N_st;
    int<lower = 1, upper = N_st> ID_i[N_data];
    int<lower = 1, upper = N_st> ID_j[N_data];
    int<lower = 1, upper = N_st> ID_s[N_data];
    int<lower = 1, upper = N_st> ID_t[N_data];
    int<lower = 0> N[N_data];
    int<lower = 1> TN[N_data];
}

parameters {
    simplex[N_st - 1] theta;
    real<lower = 0.0> sgm;
}

transformed parameters {
    real psi[N_st];
    psi[1] = 0.0;
    for (i in 2:N_st)
        psi[i] = psi[i - 1] + theta[i - 1];
}

model {
    for (i in 1:N_data)
        N[i] ~ binomial(TN[i],
                        Phi((fabs(psi[ID_i[i]] - psi[ID_j[i]])
                         - fabs(psi[ID_s[i]] - psi[ID_t[i]])) / sgm));
}
 
